Bug 1661849 - Update QT to 5.12
Summary: Update QT to 5.12
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1634658
TreeView+ depends on / blocked
 
Reported: 2018-12-24 03:01 UTC by Borgy Tan
Modified: 2019-03-23 18:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-22 15:05:46 UTC


Attachments (Terms of Use)

Description Borgy Tan 2018-12-24 03:01:07 UTC
QT 5.12 LTS was released last December 6, 2018. Current QT5 in Fedora 29 and Rawhide is 5.11, when can this be updated to the latest release? This would be good for KDE Spin users, and also addresses a bug affecting wayland:
https://bugreports.qt.io/browse/QTBUG-68997


Version-Release number of selected component (if applicable):
QT 5.11

Comment 1 Rex Dieter 2018-12-24 07:15:35 UTC
5.11.3 first, then we can work to bring 5.12.x to rawhide, and then and only then can we consider backporting for stable releases.

Comment 2 Rex Dieter 2019-02-07 21:47:07 UTC
Quick update: I've successfully done some initial (local) 5.12.1 builds for a few of the first modules: (qt5-qtbase, qt5-qtdeclarative)

Separately made progress getting qt5-qtwebengine-5.12.1 to build (even against Qt 5.11.x).

Once rawhide pkg signing borkage is fixed, I'll get started importing all this into rawhide.

Comment 3 Juha Tuomala 2019-02-25 11:05:35 UTC
(In reply to Rex Dieter from comment #2)
> Quick update: I've successfully done some initial (local) 5.12.1 builds for
> a few of the first modules: (qt5-qtbase, qt5-qtdeclarative)
> 
> Separately made progress getting qt5-qtwebengine-5.12.1 to build (even
> against Qt 5.11.x).
> 
> Once rawhide pkg signing borkage is fixed, I'll get started importing all
> this into rawhide.

Any progress on this? I'm hoping that Python bindings would become available on Fedora.

Comment 4 Rex Dieter 2019-02-25 16:04:13 UTC
No, currently blocking on f30-kde koji target to be restored,
https://pagure.io/releng/issue/7966

Comment 5 Rex Dieter 2019-02-25 16:05:17 UTC
That said, I could continue work in master/f31 branch only, but that would also mean broken dependencies until the work is completed

Comment 6 Rex Dieter 2019-03-01 14:06:33 UTC
master branch, fc31, work continues today, cannot wait on releng koji target any longer

Comment 7 Rex Dieter 2019-03-22 15:05:46 UTC
Rawhide upgrade to 5.12.1 is complete

Comment 8 Juha Tuomala 2019-03-23 14:07:44 UTC
# dnf update  qt5\* --enablerepo=rawhide 

$ rpmbuild -ba SPECS/python-pyside2.spec
make[1]: *** [CMakeFiles/Makefile2:132: ApiExtractor/CMakeFiles/apiextractor.dir/all] Error 2
make[1]: Leaving directory '/net/********/home/tuju/PKGS/BUILD/pyside-setup-everywhere-src-5.12.1/pyside3d_build/py3.7-qt5.11.3-64bit-debug/shiboken2'
make: *** [Makefile:144: all] Error 2
error: Error compiling shiboken2
Traceback (most recent call last):
  File "setup.py", line 289, in <module>
    setup_runner.run_setup()
  File "/net/*******/home/tuju/PKGS/BUILD/pyside-setup-everywhere-src-5.12.1/build_scripts/setup_runner.py", line 157, in run_setup
    raise RuntimeError(msg)
RuntimeError: 
setup.py invocation failed with exit code: 1.

setup.py invocation was: /usr/bin/python3 setup.py build --executable=/usr/bin/python3 -s --verbose --verbose-build --debug --parallel 8 --qmake=/usr/bin/qmake-qt5 --build-tests --ignore-git --internal-build-type=shiboken2

error: Bad exit status from /var/tmp/rpm-tmp.VvESCz (%build)



Prviously i saw plenty of 5.11 mixup 

  cd /net/alca/home/tuju/PKGS/BUILD/pyside-setup-everywhere-src-5.12.1/pyside3d_build/py3.7-qt5.11.3-64bit-debug/shiboken2/tests/libother && /usr/bin/cmake -E cmake_link_script CMakeFiles/libother.dir/link.txt --verbose=1

Comment 9 Rex Dieter 2019-03-23 18:36:54 UTC
I can vouch that all core Qt5 packages are at 5.12.x levels now.  

$ koji latest-pkg rawhide $(cat qt5-modules)
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
qt5-5.12.1-1.fc31                         f31                   rdieter
qt5-qtbase-5.12.1-2.fc31                  f31                   rdieter
qt5-qtdeclarative-5.12.1-1.fc31           f31                   rdieter
qt5-qtscript-5.12.1-1.fc31                f31                   rdieter
qt5-qttools-5.12.1-1.fc31                 f31                   rdieter
qt5-qtxmlpatterns-5.12.1-2.fc31           f31                   rdieter
qt5-qtx11extras-5.12.1-1.fc31             f31                   rdieter
qt5-qt3d-5.12.1-1.fc31                    f31                   rdieter
qt5-qtcanvas3d-5.12.1-1.fc31              f31                   rdieter
qt5-qtcharts-5.12.1-1.fc31                f31                   rdieter
qt5-qtconnectivity-5.12.1-1.fc31          f31                   rdieter
qt5-qtdatavis3d-5.12.1-1.fc31             f31                   rdieter
qt5-qtdoc-5.12.1-1.fc31                   f31                   rdieter
qt5-qtgamepad-5.12.1-1.fc31               f31                   rdieter
qt5-qtgraphicaleffects-5.12.1-1.fc31      f31                   rdieter
qt5-qtimageformats-5.12.1-1.fc31          f31                   rdieter
qt5-qtlocation-5.12.1-1.fc31              f31                   rdieter
qt5-qtmultimedia-5.12.1-1.fc31            f31                   rdieter
qt5-qtnetworkauth-5.12.1-1.fc31           f31                   rdieter
qt5-qtquickcontrols-5.12.1-1.fc31         f31                   rdieter
qt5-qtquickcontrols2-5.12.1-1.fc31        f31                   rdieter
qt5-qtremoteobjects-5.12.1-1.fc31         f31                   rdieter
qt5-qtscxml-5.12.1-1.fc31                 f31                   rdieter
qt5-qtsensors-5.12.1-1.fc31               f31                   rdieter
qt5-qtserialbus-5.12.1-1.fc31             f31                   rdieter
qt5-qtserialport-5.12.1-1.fc31            f31                   rdieter
qt5-qtspeech-5.12.1-1.fc31                f31                   rdieter
qt5-qtsvg-5.12.1-1.fc31                   f31                   rdieter
qt5-qttranslations-5.12.1-1.fc31          f31                   rdieter
qt5-qtvirtualkeyboard-5.12.1-1.fc31       f31                   rdieter
qt5-qtwayland-5.12.1-1.fc31               f31                   rdieter
qt5-qtwebchannel-5.12.1-1.fc31            f31                   rdieter
qt5-qtwebsockets-5.12.1-1.fc31            f31                   rdieter
qt5-qtwebview-5.12.1-1.fc31               f31                   rdieter



I don't know if any successful rawhide composes have happened since then.


Note You need to log in before you can comment on or make changes to this bug.